Status: New Priority: Must have
Author: Eckard Gehrke Category: Import/Export (T3D)
Created: 2014-10-30 Assigned To: Nicole Cordes
Updated: 2015-07-10 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Introduction package does not install/load any pages: typo3 6.2.6
Description

Hi,

this is a follow up of:

https://forge.typo3.org/issues/57348#change-234370

since I can't reopen it. The introduction package is unfortunately still not working under windows, see original post, also original post
was set to resolved.

I tried to install from brand new typo3 6.2 installation the Introdcution package but it fails.
When I look to the log file I see the following:

Type    Action  Details
17:53:04   egadmin@LIVE   [5]   [0]   Core: Error handler (BE): PHP Warning: reset() expects parameter 1 to be array, null given in
C:\xampp\xampp1834_VC11\htdocs\typo3\typo3\sysext\impexp\Classes\Utility\ImportExportUtility.php line 52   
  17:53:04   egadmin@LIVE   CACHE   Clear Cache   User egadmin has cleared the cache (cacheCmd=all)   
    17:53:04   egadmin@LIVE   DB   Insert   Attempt to insert record on page '[root-level]' (0) where this table, sys_file_reference, is
not allowed (msg#1.1.11)   
    17:53:04   egadmin@LIVE   DB   Insert   Attempt to insert record on page '[root-level]' (0) where this table, tt_content, is not allowed
(msg#1.1.11)   
    17:53:04   egadmin@LIVE   DB   Update   Attempt to modify record '[No title]' (sys_template:1) without permission. Or non-existing
page. (msg#1.2.2)   
  17:53:04   egadmin@LIVE   DB   Update   Record 'egadmin' (be_users:1) was updated. (Online). Changes in fields: email.  
(msg#1.2.10)   
    17:53:04   egadmin@LIVE   [5]   [0]   Core: Error handler (BE): PHP Warning: array_merge(): Argument #1 is not an array in
C:\xampp\xampp1834_VC11\htdocs\typo3\typo3\sysext\core\Classes\DataHandling\DataHandler.php line 1451

and a lot more Warning of the last warning in the log.

I tried it a few times: always the same error.
During the install bootstrap_package and realurl gets loaded and some "stuff" gets created on file system, but page tree remains
empty.
I am using latest version of XAMPP on localhost.
Best regards
Eckard.

Related issues:
related to Core - Task # 57348: Introduction package does not install/load an... Resolved 2014-03-26
related to Core - Bug # 68528: official introduction package fails to install... Resolved 2015-07-25
History
#1 - 2014-11-19 19:05 - Eckard Gehrke

Hi, 
just checked with boostrap package and I get the same problems there. It said it installed but then I get no page tree. In the log fiel I see the following
errors:

Core: Error handler (BE): PHP Warning: array_merge(): Argument #1 is not an array in
C:\xampp\xampp1834_VC11\htdocs\typo3\typo3\sysext\core\Classes\DataHandling\DataHandler.php line 1451

Attempt to insert record on page '[root-level]' (0) where this table, sys_template, is not allowed (msg#1.1.11)

Core: Error handler (BE): PHP Warning: reset() expects parameter 1 to be array, null given in
C:\xampp\xampp1834_VC11\htdocs\typo3\typo3\sysext\impexp\Classes\Utility\ImportExportUtility.php line 52

Core: Error handler (BE): PHP Warning:
file_put_contents(C:/xampp/xampp1834_VC11/htdocs/typo3/typo3temp/Cache/Data/cache_classes/546cd5be31ba1.temp): failed to open stream:
Permission denied in C:\xampp\xampp1834_VC11\htdocs\typo3\typo3\sysext\core\Classes\Cache\Backend\SimpleFileBackend.php line 238

After logout and login again I get page error when trying to view Extension Manager -> get preconfigured distribution.

I get http 500 for calling:
Failed to load resource: the server responded with a status of 500 (Internal Server Error)
http://localhost/typo3/typo3/mod.php?M=tools_ExtensionmanagerExtensionmanag…tensionmanager_tools_extensionmanagerextensionmanager%5
controller%5D=List

But no new entry at all in typo3 log-file??!!

Is there a way to reset other than installing typo3 completely again?

Best regards
Eckard.

#2 - 2014-12-10 20:02 - Eckard Gehrke

Hi,

I upgraded XAMPP to XAMPP 5630 which now with the new versioning is direct related to php5.6.3.
I upgraded typo3 to 6.2.9 and set to developer mode.

When installing the introduction package I get an Uncaught TYPO3 Exception with the following callstack.
I wonder if that was tested at all under windows environment on any xampp version.

If you have any solution proposal I am willing to try it out and test it on my environment even before you provide an official bugfix.
Even tried on typo3 700 but due to incompability with realurl introducton package did not work. Setting campability mode to 6.2 via activating the
extension didn't work either on the same xampp installation.

Best regards
Eckard.

Uncaught TYPO3 Exception
#1: PHP Warning: array_merge(): Argument #1 is not an array in
C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\core\Classes\DataHandling\DataHandler.php line 1451 (More information)

TYPO3\CMS\Core\Error\Exception thrown in file
C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\core\Classes\Error\ErrorHandler.php in line 101.

22 TYPO3\CMS\Core\Error\ErrorHandler::handleError(2, "array_merge(): Argument #1 is not an array",
"C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\core\Classes\DataHandling\DataHandler.php", 1451, array)
21 array_merge(NULL, array)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\core\Classes\DataHandling\DataHandler.php:
01449:     // Write file configuration:
01450:     // inserted array_merge($currentRecord,$fieldArray) 170502

01451:     $eFile = \TYPO3\CMS\Core\Html\RteHtmlParser::evalWriteFile($vconf['spec']['static_write'], array_merge($currentRecord, $fieldArray));

01452:     // RTE transformations:
01453:     if (!$this->dontProcessTransformations) {

20 TYPO3\CMS\Core\DataHandling\DataHandler::fillInFieldArray("pages", "", array, array, NULL, "new", -1)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\core\Classes\DataHandling\DataHandler.php:
01137:        }
01138:        // Processing of all fields in incomingFieldArray and setting them in $fieldArray

01139:        $fieldArray = $this->fillInFieldArray($table, $id, $fieldArray, $incomingFieldArray, $theRealPid, $status, $tscPID);

01140:        if ($createNewVersion) {
01141:         // create a placeholder array with already processed field content

19 TYPO3\CMS\Core\DataHandling\DataHandler::process_datamap()

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\impexp\Classes\ImportExport.php:
02449:   $tce->enableLogging = TRUE;
02450:   $tce->start($inData, array());

02451:   $tce->process_datamap();

02452:   $this->callHook('after_processSoftReferences', array(
02453:    'tce' => &$tce

18 TYPO3\CMS\Impexp\ImportExport::processSoftReferences()

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\impexp\Classes\ImportExport.php:
01417:   $this->unlinkTempFiles();
01418:   // Finally, traverse all records and process softreferences with substitution attributes.

01419:   $this->processSoftReferences();

01420:   // After all migrate records using sys_file_reference now
01421:   if ($this->legacyImport) {

17 TYPO3\CMS\Impexp\ImportExport::importData(0)
C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\impexp\Classes\Utility\ImportExportUtility.php:
00047:    if ($import->loadFile($file, 1)) {
00048:     // Import to root page:

00049:     $import->importData($pid);

00050:     // Get id of first created page:
00051:     $newPages = $import->import_mapId['pages'];

16
TYPO3\CMS\Impexp\Utility\ImportExportUtility::importT3DFile("C:/xampp/xampp5630/htdocs/typo3/typo3conf/ext/introduction/Initialisation/data.t3d",
0)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Utility\InstallUtility.php:
00454:    $importExportUtility = $this->objectManager->get('TYPO3\\CMS\\Impexp\\Utility\\ImportExportUtility');
00455:    try {

00456:     $importResult = $importExportUtility->importT3DFile(PATH_site . $importFileToUse, 0);

00457:     $this->registry->set('extensionDataImport', $extensionSiteRelPath . 'Initialisation/dataImported', 1);
00458:     $this->emitAfterExtensionT3DImportSignal($importFileToUse, $importResult);

15 TYPO3\CMS\Extensionmanager\Utility\InstallUtility::importT3DFile("typo3conf/ext/introduction/")

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Utility\InstallUtility.php:
00232: 
00233:   $this->importStaticSqlFile($extension['siteRelPath']);

00234:   $this->importT3DFile($extension['siteRelPath']);

00235:  }
00236:

14 TYPO3\CMS\Extensionmanager\Utility\InstallUtility::processDatabaseUpdates(array)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Utility\InstallUtility.php:
00099:  public function install($extensionKey) {
00100:   $extension = $this->enrichExtensionWithDetails($extensionKey);

00101:   $this->processDatabaseUpdates($extension);

00102:   $this->ensureConfiguredDirectoriesExist($extension);
00103:   $this->importInitialFiles($extension['siteRelPath'], $extensionKey);

13 TYPO3\CMS\Extensionmanager\Utility\InstallUtility::install("introduction")

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Service\ExtensionManagementService.php:
00252:   $resolvedDependencies = array();
00253:   foreach ($installQueue as $extensionKey => $extensionDetails) {

00254:    $this->installUtility->install($extensionDetails);

00255:    $this->emitHasInstalledExtensionSignal($extensionDetails);
00256:    if (!is_array($resolvedDependencies['installed'])) {

12 TYPO3\CMS\Extensionmanager\Service\ExtensionManagementService::installDependencies(array)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Service\ExtensionManagementService.php:
00156:   $installQueue = $this->downloadQueue->getExtensionInstallStorage();
00157:   if (count($installQueue) > 0) {

00158:    $installedDependencies = $this->installDependencies($installQueue);

00159:   }
00160:   return array_merge($downloadedDependencies, $updatedDependencies, $installedDependencies);

11
TYPO3\CMS\Extensionmanager\Service\ExtensionManagementService::installExtension(TYPO3\CMS\Extensionmanager\Domain\Model\Extension)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Controller\DownloadController.php:
00228:   try {
00229:    $this->downloadUtility->setDownloadPath($downloadPath);

00230:    if (($result = $this->managementService->installExtension($extension)) === FALSE) {

00231:     $errorMessages = $this->managementService->getDependencyErrors();
00232:    }

10 TYPO3\CMS\Extensionmanager\Controller\DownloadController::installFromTer(TYPO3\CMS\Extensionmanager\Domain\Model\Extension)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extensionmanager\Classes\Controller\DownloadController.php:
00132:    $this->forward('distributions', 'List');
00133:   }

00134:   list($result, $errorMessages) = $this->installFromTer($extension);

00135:   if ($errorMessages) {
00136:    foreach ($errorMessages as $extensionKey => $messages) {

9 TYPO3\CMS\Extensionmanager\Controller\DownloadController::installDistributionAction(TYPO3\CMS\Extensionmanager\Domain\Model\Extension)
8 call_user_func_array(array, array)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Mvc\Controller\ActionController.php:
00284:    if (!$validationResult->hasErrors()) {
00285:     $this->emitBeforeCallActionMethodSignal($preparedArguments);

00286:     $actionResult = call_user_func_array(array($this, $this->actionMethodName), $preparedArguments);

00287:    } else {
00288:     $methodTagsValues = $this->reflectionService->getMethodTagsValues(get_class($this), $this->actionMethodName);

7 TYPO3\CMS\Extbase\Mvc\Controller\ActionController::callActionMethod()

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Mvc\Controller\ActionController.php:
00155:    $this->initializeView($this->view);
00156:   }
00157:   $this->callActionMethod();

00158:  }
00159:

6 TYPO3\CMS\Extbase\Mvc\Controller\ActionController::processRequest(TYPO3\CMS\Extbase\Mvc\Web\Request,
TYPO3\CMS\Extbase\Mvc\Web\Response)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Mvc\Dispatcher.php:
00067:    $controller = $this->resolveController($request);
00068:    try {

00069:     $controller->processRequest($request, $response);

00070:    } catch (\TYPO3\CMS\Extbase\Mvc\Exception\StopActionException $ignoredException) {
00071:    }

5 TYPO3\CMS\Extbase\Mvc\Dispatcher::dispatch(TYPO3\CMS\Extbase\Mvc\Web\Request, TYPO3\CMS\Extbase\Mvc\Web\Response)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Mvc\Web\BackendRequestHandler.php:
00031:   /** @var $response \TYPO3\CMS\Extbase\Mvc\ResponseInterface */
00032:   $response = $this->objectManager->get('TYPO3\\CMS\\Extbase\\Mvc\\Web\\Response');

00033:   $this->dispatcher->dispatch($request, $response);

00034:   return $response;
00035:  }

4 TYPO3\CMS\Extbase\Mvc\Web\BackendRequestHandler::handleRequest()

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Core\Bootstrap.php:
00193:   $requestHandler = $requestHandlerResolver->resolveRequestHandler();
00194:

00195:   $response = $requestHandler->handleRequest();

00196:   // If response is NULL after handling the request we need to stop
00197:   // This happens for instance, when a USER object was converted to a USER_INT

3 TYPO3\CMS\Extbase\Core\Bootstrap::handleRequest()

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Core\Bootstrap.php:
00182:  public function run($content, $configuration) {
00183:   $this->initialize($configuration);

00184:   return $this->handleRequest();

00185:  }
00186:

2 TYPO3\CMS\Extbase\Core\Bootstrap::run("", array)

C:\xampp\xampp5630\htdocs\typo3\typo3\sysext\extbase\Classes\Core\ModuleRunner.php:
00065: 
00066:   $bootstrap = $this->objectManager->get('TYPO3\\CMS\\Extbase\\Core\\BootstrapInterface');

00067:   $content = $bootstrap->run('', $configuration);

00068:   print $content;
00069:

1 TYPO3\CMS\Extbase\Core\ModuleRunner::callModule("tools_ExtensionmanagerExtensionmanager")

C:\xampp\xampp5630\htdocs\typo3\typo3\mod.php:
00036:   foreach ($TBE_MODULES['_dispatcher'] as $dispatcherClassName) {
00037:    $dispatcher =
\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Extbase\\Object\\ObjectManager')->get($dispatcherClassName);

00038:    if ($dispatcher->callModule($moduleName) === TRUE) {

00039:     $isDispatched = TRUE;
00040:     break;

#3 - 2015-07-09 18:04 - gwenael chailleu

Hi everybody,

I'm looking for an easy way to get a sample typo3 website. Introduction package was a perfect candidate.
But I got exactly the same problem as Eckart.

with a slightly different log (the differences coming from the typo3 version used )

15:31:13        typo3@LIVE        [5]        [0]        Core: Error handler (BE): PHP Warning: reset() expects parameter 1 to be array, null given in
/var/www/site_typo3/typo3_src-6.2.13/typo3/sysext/impexp/Classes/Utility/ImportExportUtility.php line 56    
         15:31:22        typo3@LIVE        DB        Insert        Attempt to insert record on page '[root-level]' (0) where this table, tt_content, is not allowed
(msg#1.1.11)    
         15:31:22        typo3@LIVE        DB        Insert        Attempt to insert record on page '[root-level]' (0) where this table, sys_template, is not allowed
(msg#1.1.11)    
         15:31:22        typo3@LIVE        DB        Insert        Attempt to insert record on page '[root-level]' (0) where this table, sys_file_reference, is not
allowed (msg#1.1.11)    
    15:30:49        typo3@[-99]        LOGIN        LOGIN        User typo3 logged in from 78.223.61.143 () (msg#255.1.1)

I am using PHP 5.5.26 + typo3_src-6.2.13 + CentOS release 6.6

Since the initial problem has been posted months ago and is still not fixed, it seems that the introduction package is not currently available. Is there
another way I could get a similar typo3 demo site ?

Thanks !

Gwen

#4 - 2015-07-10 08:51 - Eckard Gehrke

Hi Gwen,
my problem is in the meantime resolved. I tried it with the 6.2.? on Xampp. Can't tell you anymore the right Typo3 6.2 patchlevel I used. I am now on
7.3 and it works as well. You have not mentioned the DB-version that you are using.
You might get some further hints in your DB-log files.

I am on •Apache/2.4.10 (Win32) OpenSSL/1.0.1i PHP/5.6.3
•Server Version: 5.6.21 - MySQL Community Server (GPL)

Best regards
Eckard.

#5 - 2015-07-10 10:17 - gwenael chailleu

Hi Eckard, (and not Eckart, sorry about that ;-)

Thanks for answering. My mysql version is 5.6.24 and I'm using Apache/2.2.15. I see nothing particular in /var/log/mysqld.log (which is the correct log
file, I've checked that by restarting mysqld).
There were too patches related to this problem as described in Task #57348. 
I'll have a look at them and try to guess why they don't work for me.

Best regards
Gwen

#6 - 2015-07-10 14:47 - gwenael chailleu

Hello,

I've tried the installation on a debian6/PHP 5.6.7-1/Apache 2.4.6/mysql 5.5.31-1. 
And It works ! I wont investigate what happened on my centOS any more, I'd try the installation of the introduction package with typo3 7x on my
debian.

Regards
Gwen

#7 - 2015-07-10 15:21 - gwenael chailleu

Hi,

With typo3 7, what I get now is this error : http://wiki.typo3.org/Exception/CMS/1317178604
Without any log.

I'll keep the good old 6.2.13.

Regards
Gwen
